;/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;**************************************************************************
;**                                                                      **
;**                  I N T E L   P R O P R I E T A R Y                   **
;**                                                                      **
;**     COPYRIGHT (c)  1996, 1997 BY  INTEL  CORPORATION.  ALL RIGHTS    **
;**     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      **
;**     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    **
;**     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    **
;**     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    **
;**     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    **
;**     THE PRIOR WRITTEN PERMISSION OF :                                **
;**                                                                      **
;**                        INTEL  CORPORATION                            **
;**                                                                      **
;**                     2200 MISSON COLLEGE BLVD                         **
;**                                                                      **
;**               SANTA  CLARA,  CALIFORNIA  95052-8119                  **
;**                                                                      **
;**************************************************************************
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   (C) Copyright Intel Corp., 1996, 1997

   File: one_oh.inc

   Universal Serial Bus 930 Test firmware

   Revision History
   ---------------------------------------------
    0.5     05-12-97          K. Schultz (changed hub desc to 29)
    0.4     03-18-97          C. Linthicum
    0.3     ????????          K. Schultz
    0.2     05-27-96          Abdul Rahman Ismail
    0.1     02-13-96          Joe DrAgony
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
;
; ONE_OH.INC: This file contains equates related to the operations under USB Spec. rev 1.0
;             It also includes equates for 82930 register manipulation
;

;********************
;  Added 3/18/97 by CHL
;********************
; equates for new code

SWITCH_PORT      equ    P1              ; Port is used for switches/modes
LED_PORT         equ    P1              ; Port 1 used for displaying SOF's, etc.
PWR_SEL_SWITCH   equ    P1.0            ; Mode 0 bit on FUB board
EMBD_FN_SWITCH   equ    P1.1            ; Mode 1 bit on FUB board
HEARTBEAT_LED    equ    P1.3            ; Port 1.3 used for hearbeat LED display


; Equates used for switches
DONT_USE        equ     0
USE             equ     1

ENABLED         equ     1
DISABLED        equ     0

;<<<<<<<<<<<<<<
;bRequest Types
;>>>>>>>>>>>>>>

        GET_STATUS        equ 00h
        CLEAR_FEATURE     equ 01h
        GET_STATE         equ 02h
        SET_FEATURE       equ 03h
        RESERVED2         equ 04h
        SET_ADDRESS       equ 05h
        GET_DESCRIPTOR    equ 06h
        SET_DESCRIPTOR    equ 07h
        GET_CONFIGURATION equ 08h
        SET_CONFIGURATION equ 09h
        GET_INTERFACE     equ 0Ah
        SET_INTERFACE     equ 0Bh
        SYCH_FRAME        equ 0Ch

;<<<<<<<<<<<<<<;
;Descriptor Types
;>>>>>>>>>>>>>>
        DEVICE_DESCR            equ    01h
        CONFIG_DESCR            equ    02h
        STRING_DESCR            equ    03h
        INTERFACE_DESCR         equ    04h
        ENDPOINT_DESCR          equ    05h

;<<<<<<<<<<<<<<
;HID specific descriptor types
;>>>>>>>>>>>>>>
        HID_DESCR               equ    021h
        ENTITY_DESCR            equ    022h
        HUB_DESCR               equ    029h
;<<<<<<<<<<<<<<
;Feature Selectors
;>>>>>>>>>>>>>>


        DEVICE_REMOTE_WAKEUP   equ     01h
        ENDPOINT_STALL         equ     00h

;<<<<<<<<<<<<<<
;Recipient Selectors
;>>>>>>>>>>>>>>

        INTERFACE_TARGET       equ     01h
        ENDPOINT_TARGET        equ     02h
        OTHER_TARGET           equ     03h
        PORT_TARGET            equ     03h

;<<<<<<<<<<<<<<
;Stall Masks
;>>>>>>>>>>>>>>
        CLEAR_IN_STALL_MASK    equ     0BFH
        CLEAR_OUT_STALL_MASK   equ     07FH
        SET_IN_STALL_MASK      equ     040H
        SET_OUT_STALL_MASK     equ     080H

;
;Equates for clearing bits in SBI register
;


EP0_TX_CLR    equ  0FEh
EP0_RX_CLR    equ  0FDh

EP1_TX_CLR    equ  0FBh
EP1_RX_CLR    equ  0F7h

EP2_TX_CLR    equ  0EFh
EP2_RX_CLR    equ  0DFh

EP3_TX_CLR    equ  0BFh
EP3_RX_CLR    equ  07Fh




SUSPEND_EVENT_PENDING_FLAG    equ 1h
SUSPEND_EVENT_EXECUTED_FLAG   equ 2h

