;**************************************************************************
;**                                                                      **
;**                  I N T E L   P R O P R I E T A R Y                   **
;**                                                                      **
;**     COPYRIGHT (c)  1997 BY  INTEL  CORPORATION.  ALL RIGHTS          **
;**     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      **
;**     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    **
;**     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    **
;**     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    **
;**     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    **
;**     THE PRIOR WRITTEN PERMISSION OF :                                **
;**                                                                      **
;**                        INTEL  CORPORATION                            **
;**                                                                      **
;**                     2200 MISSON COLLEGE BLVD                         **
;**                                                                      **
;**               SANTA  CLARA,  CALIFORNIA  95052-8119                  **
;**                                                                      **
;**************************************************************************
;   (C) Copyright Intel Corp., 1997
;
;   File: switch.inc
;
;   Universal Serial Bus 930 Test firmware
;
;   Revision History
;    Rev.      Date                Author        Change Description
;   -----------------------------------------------------------------
;    0.2     03-20-97          C. Linthicum      Helsinki Changes
;    0.1     03-18-97          C. Linthicum      Original from (kls)
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
;
; INCLUDE FILE FOR 930HX HUB
; This file contains the switches needed for the 930 HX Hub ROM Code

include "ONE_OH.INC"

;************************************************************************
;                Device/Firmware Configuration Switches
;************************************************************************
; If FUB_BOARD is ENABLED then the Mode 1 (JP6) jumper controls whether
; the embedded function is enabled (JP6 = 1-2) or disabled (JP6 = 2-3).
; If FUB_BOARD is DISABLED then the INTERNAL_PORT switch can be used to
; enable or disable the embedded function.
; and enable the embedded function at enumeration/configuration.
; The FUB_BOARD switch also determines which CCBs are selected.
;************************************************************************
FUB_BOARD       equ     DISABLED        ; Used to switch the configuration pins and CCBs
                                        ; If using Intel Eval board - set to DISABLED
;RISM            equ     ENABLED         ; ENABLED - for use with debugger and RISM
                                        ; DISABLED - for running out of ROM
HELSINKI        equ     DISABLED        ; ENABLED for use with 930 HF0  - 4 external downstream ports
                                        ; DISABLED for use with 930 HD3 - 3 external downstream ports
EMBEDDED_PORT_NUMBER    equ    4h       ; Note: regardless of Halifax of Helsinki:
                                        ; embedded port will remain #4
IF FUB_BOARD == DISABLED
  INTERNAL_PORT   equ   ENABLED         ; this can be changed to
                                        ; enable/disable the internal Port with EVAL board
ELSE
  INTERNAL_PORT   equ   DISABLED        ; this should always be DISABLED
ENDIF

DOUG            equ     DONT_USE        ; Used for Intel internal SV testing with DOUG board

;************************************************************************
;              Loopback Specific Configuration Switches
;************************************************************************
SW_FIFO_FIX     equ     DISABLED        ; define if SW fix is enabled or disabled

CLOCK_LOW       equ     ENABLED         ; set for LOW CLOCK on configuration 1

LC_TOGGLE       equ     DISABLED         ; Toggle LC bit during Heartbeat (idle)